import request from '@/utils/request'

/** 项目信息新增接口 */
export function projectAdd(data) {
  return request({
    url: '/sysproject/add',
    method: 'post',
    data
  })
}
/** 获取服务器时间 */
export function ServerTime(data) {
  return request({
    url: '/contract/contract/getTime',
    method: 'get',
    params: data
  })
}
/** 所属二级单位查询*/
export function proGetCompany(data) {
  return request({
    url: '/sysOrgan/queryOrganByPage',
    method: 'get',
    params: data
  })
}
/** 中交项目业务分类值域查询*/
export function getProBusType(data) {
  return request({
    url: '/dictmanage/getZCPBCTree',
    method: 'get',
    params: data
  })
}
/** 项目组织模式查询*/
export function getProZPOSType(data) {
  return request({
    url: '/dictmanage/getZPOSByTree',
    method: 'get',
    params: data
  })
}
/** 获取项目类型树 */
export function getProType(data) {
  return request({
    url: '/dictmanage/getProTypeByLabel',
    method: 'get',
    params: data
  })
}
export function projectBYID(params) {
  return request({
    url: '/sysproject/queryProject',
    method: 'get',
    params
  })
}

/**  项目表单查询 */
export function projectQuery(params) {
  return request({
    url: '/sysproject/queryProjectByPage',
    method: 'get',
    params
  })
}

/**  项目表单编辑*/
export function projectEdit(data) {
  return request({
    url: '/sysproject/edit',
    method: 'put',
    data
  })
}
/**  项目表单删除*/
export function projectDel(businessId) {
  return request({
    url: '/sysproject/logDelete/' + businessId,
    method: 'delete'
  })
}
/** 根据选择模板的类型查询数据字典 */
export function dictDataType(data) {
  return request({
    url: '/sysproject/getDictDataByType',
    method: 'get',
    params: data
  })
}
/** 查询项目所有数据字典 */
export function getDictAll(data) {
  return request({
    url: '/sysproject/getDictData',
    method: 'get',
    params: data
  })
}
// 获取所有数据字典类型
export function getUnit(data) {
  return request({
    url: '/sysUnit/queryUnitByPage',
    method: 'get',
    params: data
  })
}
// 获取所有数据字典类型
export function getPush(data) {
  return request({
    url: '/sysproject/push',
    method: 'put',
    data
  })
}

